MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023369Community[OCCT] OCCT:Visualizationpublic2012-08-07 13:052012-11-16 13:17
ReporterPawel 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2008OS Version64 bit
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023369: MSVC++ warnings issued during compilation for 64bits, Materials.cxx
DescriptionIn lines 47, 60.

Standard_Integer should be replaced with Standard_Size.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023274closedPawel MSVC++ warnings issued during compilation for 64bits 

-  Notes
(0021206)
Pawel (developer)
2012-08-07 13:08

Corresponding branch pushed. Please review.
(0021243)
san (developer)
2012-08-15 21:13

Branch CR23369 reviewed without remarks, ready for testing.
(0021255)
apn (administrator)
2012-08-17 10:45

Dear BugMaster,
Branch CR23369 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master 40f53a38
Timestamp: 2012-08-07 09:07:28
Author: Pawel
Committer: bugmaster
Details ] Diff ]
0023369: MSVC++ warnings issued during compilation for 64bits, Materials.cxx

Replaced 'Standard_Integer' with 'Standard_Size' to avoid compiler warning.
mod - src/Materials/Materials.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-07 13:05 Pawel New Issue
2012-08-07 13:05 Pawel Assigned To => Pawel
2012-08-07 13:08 Pawel Note Added: 0021206
2012-08-07 13:08 Pawel Assigned To Pawel => bugmaster
2012-08-07 13:08 Pawel Status new => resolved
2012-08-07 13:09 Pawel Relationship added related to 0023274
2012-08-07 17:06 bugmaster Assigned To bugmaster => emv
2012-08-08 09:57 bugmaster Category OCCT:Foundation Classes => OCCT:Visualization
2012-08-08 10:00 bugmaster Assigned To emv => san
2012-08-15 21:13 san Note Added: 0021243
2012-08-15 21:13 san Assigned To san => bugmaster
2012-08-15 21:13 san Status resolved => reviewed
2012-08-17 10:45 apn Note Added: 0021255
2012-08-17 10:46 apn Test case number => Not needed
2012-08-17 10:46 apn Status reviewed => tested
2012-08-20 14:26 bugmaster Changeset attached => occt master 40f53a38
2012-08-20 14:26 bugmaster Status tested => verified
2012-08-20 14:26 bugmaster Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker